Index: git_cl/test/submit-from-new-dir.sh |
=================================================================== |
--- git_cl/test/submit-from-new-dir.sh (revision 0) |
+++ git_cl/test/submit-from-new-dir.sh (revision 0) |
@@ -0,0 +1,38 @@ |
+#!/bin/bash |
+ |
+# Check that we're able to submit from a directory that doesn't exist on the |
+# trunk. This tests for a previous bug where we ended up with an invalid CWD |
+# after switching to the merge branch. |
+ |
+set -e |
+ |
+. ./test-lib.sh |
+ |
+setup_initsvn |
+setup_gitsvn |
+ |
+( |
+ set -e |
+ cd git-svn |
+ git config rietveld.server localhost:8080 |
+ |
+ # Create a branch and give it an issue. |
+ git checkout -q -b new |
+ mkdir dir |
+ cd dir |
+ echo "some work done on a branch" >> test |
+ git add test; git commit -q -m "branch work" |
+ export EDITOR=/bin/true |
+ test_expect_success "upload succeeds" \ |
+ "$GIT_CL upload -m test master... | grep -q 'Issue created'" |
+ test_expect_success "git-cl dcommits ok" \ |
+ "$GIT_CL dcommit -f" |
+) |
+ |
+SUCCESS=$? |
+ |
+cleanup |
+ |
+if [ $SUCCESS == 0 ]; then |
+ echo PASS |
+fi |
Property changes on: git_cl/test/submit-from-new-dir.sh |
___________________________________________________________________ |
Added: svn:executable |
+ * |